<?xml version="1.0"?>
<doc>
    <assembly>
        <name>STUN</name>
    </assembly>
    <members>
        <member name="T:STUN.Client.StunClient3489">
            <summary>
            https://tools.ietf.org/html/rfc3489#section-10.1
            </summary>
        </member>
        <member name="T:STUN.Client.StunClient5389UDP">
            <summary>
            https://tools.ietf.org/html/rfc5389#section-7.2.1
            https://tools.ietf.org/html/rfc5780#section-4.2
            </summary>
        </member>
        <member name="T:STUN.Enums.AttributeType">
            <summary>
            STUN Attribute Registry
            </summary>
            <remarks>
            https://tools.ietf.org/html/rfc3489#section-11.2
            https://tools.ietf.org/html/rfc5389#section-18.2
            https://tools.ietf.org/html/rfc5780#section-9.1
            https://tools.ietf.org/html/rfc8489#section-18.3
            </remarks>
        </member>
        <member name="F:STUN.Enums.FilteringBehavior.None">
            <summary>
            Filtering test applies only to UDP.
            </summary>
        </member>
        <member name="T:STUN.Enums.IpFamily">
            <summary>
            https://tools.ietf.org/html/rfc5389#section-15.1
            </summary>
        </member>
        <member name="T:STUN.Enums.NatType">
            <summary>
            https://tools.ietf.org/html/rfc3489#section-5
            https://tools.ietf.org/html/rfc3489#section-10.1
            </summary>
        </member>
        <member name="F:STUN.Enums.NatType.Unknown">
            <summary>
            Unknown
            </summary>
        </member>
        <member name="F:STUN.Enums.NatType.UnsupportedServer">
            <summary>
            Server is not unsupported for testing NAT type
            </summary>
        </member>
        <member name="F:STUN.Enums.NatType.UdpBlocked">
            <summary>
            UDP is always blocked.
            </summary>
        </member>
        <member name="F:STUN.Enums.NatType.OpenInternet">
            <summary>
            No NAT, public IP, no firewall.
            </summary>
        </member>
        <member name="F:STUN.Enums.NatType.SymmetricUdpFirewall">
            <summary>
            No NAT, public IP, but symmetric UDP firewall.
            </summary>
        </member>
        <member name="F:STUN.Enums.NatType.FullCone">
            <summary>
            A full cone NAT is one where all requests from the same internal IP address and port are 
            mapped to the same external IP address and port. Furthermore, any external host can send 
            a packet to the internal host, by sending a packet to the mapped external address.
            </summary>
        </member>
        <member name="F:STUN.Enums.NatType.RestrictedCone">
            <summary>
            A restricted cone NAT is one where all requests from the same internal IP address and 
            port are mapped to the same external IP address and port. Unlike a full cone NAT, an external
            host (with IP address X) can send a packet to the internal host only if the internal host 
            had previously sent a packet to IP address X.
            </summary>
        </member>
        <member name="F:STUN.Enums.NatType.PortRestrictedCone">
            <summary>
            A port restricted cone NAT is like a restricted cone NAT, but the restriction 
            includes port numbers. Specifically, an external host can send a packet, with source IP
            address X and source port P, to the internal host only if the internal host had previously 
            sent a packet to IP address X and port P.
            </summary>
        </member>
        <member name="F:STUN.Enums.NatType.Symmetric">
            <summary>
            A symmetric NAT is one where all requests from the same internal IP address and port, 
            to a specific destination IP address and port, are mapped to the same external IP address and
            port.  If the same host sends a packet with the same source address and port, but to 
            a different destination, a different mapping is used. Furthermore, only the external host that
            receives a packet can send a UDP packet back to the internal host.
            </summary>
        </member>
        <member name="T:STUN.Enums.StunMessageType">
            <summary>
            This enum specifies STUN message type.
            </summary>
            <returns>
            https://tools.ietf.org/html/rfc5389#section-6
            </returns>
        </member>
        <member name="F:STUN.Enums.StunMessageType.BindingRequest">
            <summary>
            STUN message is binding request.
            </summary>
        </member>
        <member name="F:STUN.Enums.StunMessageType.BindingResponse">
            <summary>
            STUN message is binding request success response.
            </summary>
        </member>
        <member name="F:STUN.Enums.StunMessageType.BindingErrorResponse">
            <summary>
            STUN message is binding request error response.
            </summary>
        </member>
        <member name="F:STUN.Enums.StunMessageType.SharedSecretRequest">
            <summary>
            STUN message is "shared secret" request.
            </summary>
        </member>
        <member name="F:STUN.Enums.StunMessageType.SharedSecretResponse">
            <summary>
            STUN message is "shared secret" request success response.
            </summary>
        </member>
        <member name="F:STUN.Enums.StunMessageType.SharedSecretErrorResponse">
            <summary>
            STUN message is "shared secret" request error response.
            </summary>
        </member>
        <member name="T:STUN.Messages.StunAttribute">
            <summary>
            https://tools.ietf.org/html/rfc5389#section-15
            </summary>
        </member>
        <member name="M:STUN.Messages.StunAttribute.TryParse(System.ReadOnlySpan{System.Byte},System.ReadOnlySpan{System.Byte})">
            <returns>
            Parse 成功字节，0 则表示 Parse 失败
            </returns>
        </member>
        <member name="T:STUN.Messages.StunAttributeValues.AddressStunAttributeValue">
            <summary>
            https://tools.ietf.org/html/rfc5389#section-15.1
            </summary>
        </member>
        <member name="T:STUN.Messages.StunAttributeValues.ChangedAddressStunAttributeValue">
            <summary>
            https://tools.ietf.org/html/rfc3489#section-11.2.3
            </summary>
        </member>
        <member name="T:STUN.Messages.StunAttributeValues.ChangeRequestStunAttributeValue">
            <summary>
            https://tools.ietf.org/html/rfc5780#section-7.2
            </summary>
        </member>
        <member name="T:STUN.Messages.StunAttributeValues.ErrorCodeStunAttributeValue">
            <summary>
            https://tools.ietf.org/html/rfc5389#section-15.6
            </summary>
        </member>
        <member name="T:STUN.Messages.StunAttributeValues.MappedAddressStunAttributeValue">
            <summary>
            https://tools.ietf.org/html/rfc5389#section-15.1
            </summary>
        </member>
        <member name="T:STUN.Messages.StunAttributeValues.OtherAddressStunAttributeValue">
            <summary>
            https://tools.ietf.org/html/rfc5780#section-7.4
            </summary>
        </member>
        <member name="T:STUN.Messages.StunAttributeValues.ReflectedFromStunAttributeValue">
            <summary>
            https://tools.ietf.org/html/rfc3489#section-11.2.11
            </summary>
        </member>
        <member name="T:STUN.Messages.StunAttributeValues.ResponseAddressStunAttributeValue">
            <summary>
            https://tools.ietf.org/html/rfc3489#section-11.2.2
            </summary>
        </member>
        <member name="T:STUN.Messages.StunAttributeValues.SourceAddressStunAttributeValue">
            <summary>
            https://tools.ietf.org/html/rfc3489#section-11.2.5
            </summary>
        </member>
        <member name="T:STUN.Messages.StunAttributeValues.UnknownStunAttributeValue">
            <summary>
            https://tools.ietf.org/html/rfc5389#section-15.9
            </summary>
        </member>
        <member name="T:STUN.Messages.StunAttributeValues.UselessStunAttributeValue">
            <summary>
            无法理解的属性
            </summary>
        </member>
        <member name="T:STUN.Messages.StunAttributeValues.XorMappedAddressStunAttributeValue">
            <summary>
            https://tools.ietf.org/html/rfc5389#section-15.2
            </summary>
        </member>
        <member name="T:STUN.Messages.StunMessage5389">
            <summary>
            https://tools.ietf.org/html/rfc5389#section-6
            </summary>
        </member>
    </members>
</doc>
